Subject: Unable to restore session with AD login

From: Dario Pilori <[email-masked]>
Date: Fri, 4 Dec 2015 16:11:02 +0100

Package: x2goserver
Version: 4.0.1.19

Hello

We are using x2goserver on a Ubuntu 14.04 server, which is member of an 
AD domain. Users have usernames like "DOMAIN\user". After closing bug 
#664, users can successfully connect to x2goserver, but they cannot 
resume a suspended session. Every time the same user connects, x2go 
opens a new session.

Logging in as a regular user via SSH, typing x2golistsessions does not 
return any output, even if the user has several sessions open. If root 
runs x2golistsessions_root, it displays all sessions, but in the 
username field of the table it is displayed the user as "DOMAINuser", 
without the backslash \.

Using PostgreSQL database as a backend instead of SQLite3 fixes the problem.

Best regards,
Dario